* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #ffffff;
    font-family: "Montserrat"
        , sans-serif;
}

/* NAV */
nav {
    padding: 1rem;
    background-color: white;
    position: sticky;
    top: 0;
    z-index: 1000;
    width: 100%;
    height: 147px;
}

.logo {
    width: 50px;
}

/* BRAND TITLE */
.brand {
    text-align: center;
    font-weight: 900;
    font-size: 2.2rem;
    width: 75%;
    margin: auto;
    margin-top: 20px;
    font-family: "Montserrat"
        , sans-serif;
}

/* SECTION TITLES */
h2 {
    text-align: center;
    font-weight: 500;
    font-size: 1.3rem;
    width: 75%;
    margin: auto;
    margin-top: 30px;
    font-family: "Montserrat"
        , sans-serif;
}

/* BODY TEXT */
p {
    text-align: center;
    width: 75%;
    margin: auto;
    margin-top: 15px;
    margin-bottom: 25px;
    font-weight: 400;
}

/* MENU */
ul {
    position: fixed;
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    right: 1vw;
    top: 1vw;
}

ul li {
    float: right;
}

ul li a {
    display: block;
    color: #121212;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    width: 162px;
    cursor: pointer;
}

ul li a:hover {
    color: #1d2e54;
}

/* DROPDOWN */
.dropdown {
    cursor: pointer;
}

.dropdown.active div.content {
    display: inline !important;
    background-color: #325295 !important;
}

.dropdown div.content {
    display: none !important;
    background-color: #325295;
}

.content a {
    color: #1d2e54;
    text-decoration: none;
    display: block;
    transition: 0.25s ease-in-out;
    cursor: pointer;
    background-color: #325295;
}

.content a:hover {
    color: #325295;
    background-color: #1d2e54;
}

.dropdown:hover div.content {
    display: block !important;
}

/* DIVIDER */
hr {
    width: 75%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 25px;
    margin-bottom: 25px;
    border-color: black;
    color: #1d2e54;
    background-color: #1d2e54;
    height: 2px;
}

/* PORTFOLIO */
.portfolio {
    display: grid;
    grid-template-columns: 1fr;
    padding: 1rem;
    gap: 1rem;
    justify-content: center;

}

.portfolio img {
    object-fit: cover;
    width: 100%;
    aspect-ratio: 1/1;
}

.two {
    display: grid;
    grid-template-columns: 1fr;
    padding: 1rem;
    gap: 1rem;
    justify-content: center;

}

.two img {
    object-fit: cover;
    width: 100%;
    aspect-ratio: 1/1;
}


.two-long {
    grid-template-columns: 1fr;
    padding: 1rem;
    gap: 1rem;
    justify-content: center;
    display: grid;
}

.two-long img {
    object-fit: cover;
    width: 100%;

}

.one {
    display: grid;
    grid-template-columns: 1fr;
    padding: 1rem;
    gap: 1rem;
    justify-content: center;
}

.one img {
    object-fit: cover;
    width: 100%;
}

.long{
    display: grid;
    grid-template-columns: 1fr;
    padding: 1rem;
    gap: 1rem;
    justify-content: center;
}

figure {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

figure img {
    max-width: 100%;
}

/* FOOTER */
footer {
    text-align: center;
    margin-top: 40px;
    margin-bottom: 40px;
}

footer img {
    width: 45px;
    margin-bottom: 10px;
}

.mockups p {
    text-align: left;
}

iframe {
    width: 38vw;
    aspect-ratio: 16/9;
}

/* RESPONSIVE */

@media screen and (min-width:500px) {
    .portfolio {
        grid-template-columns: 1fr 1fr;
    }

    ul li a {
        width: 200px;
    }

    .long{
    grid-template-columns: 1fr 1fr;
}
}

@media screen and (min-width:700px) {
    .portfolio {
        grid-template-columns: 1fr 1fr 1fr;
    }

    nav{
        height: auto;
    }

    .two-long {
        grid-template-columns: 1fr 1fr;

    }

    .two {
        grid-template-columns: 1fr 1fr;

    }

}

@media screen and (min-width:900px) {
    .long{
    grid-template-columns: 1fr 1fr 1fr;
}
}

@media screen and (min-width:1100px) {
    .portfolio {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }

    nav{
        height: auto;
    }


    .two-long {
        grid-template-columns: 1fr 1fr;

    }

    .two {
        grid-template-columns: 1fr 1fr;

    }

    .long{
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
}
}